<link rel="import" href="../polymer/polymer-element.html" />

<dom-module id="mas-binding">
    <template>
        <style>
            :host {
                display: block;
            }
        </style>
        <h2>Subpropiedades</h2>
        <p>Propiedad edad: [[edad]]</p>
        <p>Objeto: [[objeto.edad.value]]</p>
        <button on-click="change">Cmabiar subpropiedad</button>
    </template>

    <script>
        /**
         * `mas-binding`
         * kjhgfdsa
         *
         * @customElement
         * @polymer
         * @demo demo/index.html
         */
        class MasBinding extends Polymer.Element {
            static get is() {
                return "mas-binding";
            }
            static get properties() {
                return {
                    edad: Number,
                    objeto: {
                        type: Object,
                        value() {
                            return {
                                edad: {
                                    type: Number,
                                    value: 0,
                                },
                            };
                        },
                    },
                };
            }
            change() {
                this.set("objeto.edad.value", Math.random());
            }
        }

        window.customElements.define(MasBinding.is, MasBinding);
    </script>
</dom-module>
